Kwalitee Issues


Add a META.yml to the distribution. Your buildtool should be able to autogenerate it.


Run a proper command ("make manifest" or "./Build manifest", maybe with a force option), or use a distribution builder to generate the MANIFEST. Or update MANIFEST manually.


  • MANIFEST (9) does not match dist (33):
  • Missing in MANIFEST: CGI-Panel.ppt, CVS/Entries, CVS/Repository, CVS/Root, TODO, demo/, demo/CVS/Entries, demo/CVS/Repository, demo/CVS/Root, demo/, demo/simpleapp.cgi, lib/CGI/CVS/Entries, lib/CGI/CVS/Repository, lib/CGI/CVS/Root, lib/CGI/Panel/CVS/Entries, lib/CGI/Panel/CVS/Repository, lib/CGI/Panel/CVS/Root, lib/CGI/Panel/, lib/CVS/Entries, lib/CVS/Repository, lib/CVS/Root, t/CVS/Entries, t/CVS/Repository, t/CVS/Root


Add a META.json to the distribution. Your buildtool should be able to autogenerate it.


Define the license if you are using in Build.PL. If you are using MakeMaker (Makefile.PL) you should upgrade to ExtUtils::MakeMaker version 6.31.


Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: CGI::Panel, CGI::Panel::Tutorial


Name Abstract Version View
CGI::Panel Create stateful event-driven web applications from simple panel objects 0.97 metacpan

Other Files

Changes metacpan
MANIFEST metacpan
Makefile.PL metacpan
README metacpan